Skip to main content

Tenants

Tenant objects represent top-level tenant data from AppFolio®. Skywalk API allows you to obtain the following tenant attributes from AppFolio®.

The Tenant Object

Attributes


appfolioIdstring
Unique AppFolio ID for this tenant.
Example:
"254"

namestring
Display name of tenant.
Example:
"Johnston, Johnny L."

firstNamestring
First name of tenant.
Example:
"Johnny"

lastNamestring
Last name of tenant.
Example:
"Johnston"

statusstring
Current status of tenant.
Example:
"Current"

petsstring
Pets of tenant.
Example:
null


More Attributes


emailAddressesstring[]

phoneNumbersPhoneNumber[]

address.streetstring

address.street2string

address.citystring

address.statestring

address.zipstring

typestring

tagsstring[]

occupancyAppfolioIdstring

guestCardAppfolioIdstring

rentalApplicationAppfolioIdstring

moveInstring

moveOutstring

unit.typestring

rentstring

depositstring

leaseFromstring

leaseTostring

lateFee.typestring

lateFee.baseAmountstring

lateFee.dailyAmountstring

lateFee.gracePeriodinteger

lateFee.gracePeriodFixedDaystring

lateFee.graceBalancestring

lateFee.maxDailyAmountstring

The Tenant Object
{
"appfolioId": "254",
"name": "Johnston, Johnny L.",
"firstName": "Johnny",
"lastName": "Johnston",
"birthdate": "09/06/1992",
"emailAddresses": [
"joneyjohsnston@yahoo.com"
],
"phoneNumbers": [
{
"label": "Mobile",
"phone": "(111) 111-1111"
}
],
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "101",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"primaryTenant": "Yes",
"status": "Current",
"type": "Financially Responsible",
"tags": [
"Good Credit"
],
"pets": null,
"licensePlates": "BH11111",
"occupancyAppfolioId": "117",
"guestCardAppfolioId": "224",
"rentalApplicationAppfolioId": "107",
"moveIn": "12/06/2020",
"moveOut": null,
"insuranceCompanyName": null,
"insuranceExpiration": null,
"insurancePolicyNumber": null,
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments"
},
"unit": {
"appfolioId": "210",
"name": "101",
"type": "2 Bed + 2 Bath w/ Loft"
},
"rent": "1,950.00",
"deposit": "1,950.00",
"lastRentIncrease": null,
"nextRentIncrease": "12/06/2021",
"sendRentReminders": true,
"ignorePartialPayments": false,
"leaseFrom": "12/06/2020",
"leaseTo": "12/05/2021",
"lastLeaseRenewal": null,
"lateFee": {
"type": "Flat Fee",
"baseAmount": "50.00",
"dailyAmount": "0.00",
"gracePeriod": 3,
"gracePeriodFixedDay": null,
"graceBalance": "500.00",
"maxDailyAmount": null
}
}

Get All Tenants

GET /v1/tenants

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The tenants endpoint returns a list of all tenants in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.

Parameters


propertyIdselect
AppFolio ID of a Property to serve as a filter.

propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.

ownerIdselect
AppFolio ID of an Owner to serve as a filter.

visibilityselect
Tenant Visibility status to serve as filter.
Default Value:  
active
Possible Values:  
active
hidden
all

statusmulti
Tenant Status to serve as filter.
Default Value:  
current
notice
Possible Values:  
current
past
future
evict
notice
all

 

Returns


The standard List Response Format with a data property containing an array of Tenant objects.

GET /v1/tenants
curl -X GET 'https://api.skywalkapi.com/v1/tenants' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/tenants",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/tenants?cursor=abcdefg"
},
"data": [
{
"appfolioId": "254",
"name": "Johnston, Johnny L.",
"firstName": "Johnny",
"lastName": "Johnston",
"birthdate": "09/06/1992",
"emailAddresses": [
"joneyjohsnston@yahoo.com"
],
"phoneNumbers": [
{
"label": "Mobile",
"phone": "(111) 111-1111"
}
],
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "101",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"primaryTenant": "Yes",
"status": "Current",
"type": "Financially Responsible",
"tags": [
"Good Credit"
],
"pets": null,
"licensePlates": "BH11111",
"occupancyAppfolioId": "117",
"guestCardAppfolioId": "224",
"rentalApplicationAppfolioId": "107",
"moveIn": "12/06/2020",
"moveOut": null,
"insuranceCompanyName": null,
"insuranceExpiration": null,
"insurancePolicyNumber": null,
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments"
},
"unit": {
"appfolioId": "210",
"name": "101",
"type": "2 Bed + 2 Bath w/ Loft"
},
"rent": "1,950.00",
"deposit": "1,950.00",
"lastRentIncrease": null,
"nextRentIncrease": "12/06/2021",
"sendRentReminders": true,
"ignorePartialPayments": false,
"leaseFrom": "12/06/2020",
"leaseTo": "12/05/2021",
"lastLeaseRenewal": null,
"lateFee": {
"type": "Flat Fee",
"baseAmount": "50.00",
"dailyAmount": "0.00",
"gracePeriod": 3,
"gracePeriodFixedDay": null,
"graceBalance": "500.00",
"maxDailyAmount": null
}
}
]
}